## org.red5.io.object
Enum Flag

    java.lang.Object
      java.lang.Enum<Flag>
          org.red5.io.object.Flag

All Implemented Interfaces:
  Serializable, Comparable<Flag>

    public enum Flag

extends Enum<Flag>

Serial flag options.

Enum Constant Summary
`Default`
`Disabled`
`Enabled`

Method Summary
`static Flag` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Flag[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Enabled

    public static final Flag Enabled

### Disabled

    public static final Flag Disabled

### Default

    public static final Flag Default

Method Detail

### values

    public static Flag[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Flag c : Flag.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Flag valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2006-2010 The Red5 Project